# Uses of Class
org.apache.sling.resourceresolver.impl.helper.ResourceResolverControl

Packages that use ResourceResolverControl
Package
Description
org.apache.sling.resourceresolver.impl.providers.stateful

## Uses of ResourceResolverControl in org.apache.sling.resourceresolver.impl.providers.stateful

Methods in org.apache.sling.resourceresolver.impl.providers.stateful with parameters of type ResourceResolverControl
Modifier and Type
Method
Description
`void`
ProviderManager.`authenticateAll(@NotNull List<ResourceProviderHandler> handlers, @NotNull ResourceResolverControl control)`
Authenticate all handlers
`Iterable<AuthenticatedResourceProvider>`
ProviderManager.`getAllBestEffort(@NotNull List<ResourceProviderHandler> handlers, @NotNull ResourceResolverControl control)`
`@Nullable AuthenticatedResourceProvider`
ProviderManager.`getOrCreateProvider(@NotNull ResourceProviderHandler handler, @NotNull ResourceResolverControl control)`
Get the context
`@Nullable org.apache.sling.spi.resource.provider.ResolveContext<Object>`
ProviderManager.`getOrCreateResolveContext(@NotNull ResourceProviderHandler handler, @NotNull ResourceResolverControl control)`
Get the context
Constructors in org.apache.sling.resourceresolver.impl.providers.stateful with parameters of type ResourceResolverControl
Modifier
Constructor
Description
``
`BasicResolveContext(@NotNull org.apache.sling.api.resource.ResourceResolver resolver, @NotNull ProviderManager resolveContextManager, @NotNull ResourceResolverControl control, T providerState, @NotNull String parentPath)`